Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
              org.apache.fop.render.afp.AFPDocumentHandler

All Implemented Interfaces:
  AFPCustomizable, IFDocumentHandler

public class AFPDocumentHandler
extends AbstractBinaryWritingIFDocumentHandler
implements AFPCustomizable

`IFDocumentHandler` implementation that produces AFP (MO:DCA).

Field Summary

Fields inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`fontInfo, outputStream`

Constructor Summary
`AFPDocumentHandler()` Default constructor.

Method Summary
`void` | `endDocument()` Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.
`void` | `endDocumentHeader()` Indicates the end of the document header. This method is called before the first page sequence.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.
`void` | `endPageHeader()` Indicates the end of the page header.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`IFDocumentHandlerConfigurator` | `getConfigurator()` Returns the configurator for this document handler, if any.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`int` | `getResolution()` Returns the output/device resolution.
`void` | `handleExtensionObject(java.lang.Object extension)` Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.
`void` | `setBitsPerPixel(int bitsPerPixel)` Sets the number of bits used per pixel
`void` | `setCMYKImagesSupported(boolean value)` Controls whether CMYK images (IOCA FS45) are enabled. By default, support is disabled for wider compatibility. When disabled, any CMYK image is converted to the selected color format.
`void` | `setColorImages(boolean colorImages)` Sets whether images are color or not
`void` | `setDefaultFontInfo(FontInfo fontInfo)` Sets the default font set (with no custom configuration).
`void` | `setDefaultResourceGroupFilePath(java.lang.String filePath)` Sets the default resource group file path
`void` | `setDitheringQuality(float quality)` Sets the dithering quality setting to use when converting images to monochrome images.
`void` | `setNativeImagesSupported(boolean nativeImages)` Sets whether images are supported natively or not
`void` | `setResolution(int resolution)` Sets the output/device resolution
`void` | `setResourceLevelDefaults(AFPResourceLevelDefaults defaults)` Sets the resource level defaults. The object passed in provides information which resource level shall be used by default for various kinds of resources.
`void` | `setShadingMode(AFPShadingMode shadingMode)` Sets the shading mode for painting filled rectangles.
`void` | `startDocument()` Indicates the start of a document. This method may only be called once before any other event method.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.
`void` | `startPageHeader()` Indicates the start of the page header.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`getFontInfo, setFontInfo, setResult`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentTrailer, endPageTrailer, getContext, getDocumentNavigationHandler, getUserAgent, setContext, startDocumentHeader, startDocumentTrailer, startPageTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPDocumentHandler

    public AFPDocumentHandler()

  Default constructor.

Method Detail

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Specified by:
    `supportsPagesOutOfOrder` in interface `IFDocumentHandler`
  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the output format that is generated by this implementation.

  Specified by:
    `getMimeType` in interface `IFDocumentHandler`
  Returns:
    the MIME type

### getConfigurator

    public IFDocumentHandlerConfigurator getConfigurator()

  Returns the configurator for this document handler, if any.

  Specified by:
    `getConfigurator` in interface `IFDocumentHandler`
  Returns:
    the configurator or null if there's no configurator

### setDefaultFontInfo

    public void setDefaultFontInfo(FontInfo fontInfo)

  Sets the default font set (with no custom configuration).

  Specified by:
    `setDefaultFontInfo` in interface `IFDocumentHandler`
  Overrides:
    `setDefaultFontInfo` in class `AbstractBinaryWritingIFDocumentHandler`

### startDocument

    public void startDocument()
                       throws IFException

  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException`

### endDocumentHeader

    public void endDocumentHeader()
                           throws IFException

  Indicates the end of the document header. This method is called before the first page sequence.

  Specified by:
    `endDocumentHeader` in interface `IFDocumentHandler`
  Overrides:
    `endDocumentHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException`

### endDocument

    public void endDocument()
                     throws IFException

  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Specified by:
    `endDocument` in interface `IFDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException`

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Indicates the start of a new page sequence.

  Specified by:
    `startPageSequence` in interface `IFDocumentHandler`
  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Indicates the end of a page sequence.

  Specified by:
    `endPageSequence` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Indicates the start of a new page.

  Specified by:
    `startPage` in interface `IFDocumentHandler`
  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageHeader

    public void startPageHeader()
                         throws IFException

  Indicates the start of the page header.

  Specified by:
    `startPageHeader` in interface `IFDocumentHandler`
  Overrides:
    `startPageHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException`

### endPageHeader

    public void endPageHeader()
                       throws IFException

  Indicates the end of the page header.

  Specified by:
    `endPageHeader` in interface `IFDocumentHandler`
  Overrides:
    `endPageHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException`

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Specified by:
    `startPageContent` in interface `IFDocumentHandler`
  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Specified by:
    `endPageContent` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Indicates the end of a page

  Specified by:
    `endPage` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### handleExtensionObject

    public void handleExtensionObject(java.lang.Object extension)
                               throws IFException

  Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.

  Specified by:
    `handleExtensionObject` in interface `IFDocumentHandler`
  Parameters:
    `extension` - the extension object
  Throws:
    `IFException` - if an error occurs while handling this event

### setBitsPerPixel

    public void setBitsPerPixel(int bitsPerPixel)

  Sets the number of bits used per pixel

  Specified by:
    `setBitsPerPixel` in interface `AFPCustomizable`
  Parameters:
    `bitsPerPixel` - number of bits per pixel

### setColorImages

    public void setColorImages(boolean colorImages)

  Sets whether images are color or not

  Specified by:
    `setColorImages` in interface `AFPCustomizable`
  Parameters:
    `colorImages` - color image output

### setNativeImagesSupported

    public void setNativeImagesSupported(boolean nativeImages)

  Sets whether images are supported natively or not

  Specified by:
    `setNativeImagesSupported` in interface `AFPCustomizable`
  Parameters:
    `nativeImages` - native image support

### setCMYKImagesSupported

    public void setCMYKImagesSupported(boolean value)

  Controls whether CMYK images (IOCA FS45) are enabled. By default, support is disabled for wider compatibility. When disabled, any CMYK image is converted to the selected color format.

  Specified by:
    `setCMYKImagesSupported` in interface `AFPCustomizable`
  Parameters:
    `value` - true to enabled CMYK images

### setDitheringQuality

    public void setDitheringQuality(float quality)

  Sets the dithering quality setting to use when converting images to monochrome images.

  Specified by:
    `setDitheringQuality` in interface `AFPCustomizable`
  Parameters:
    `quality` - Defines the desired quality level for the conversion. Valid values: a value between 0.0f (fastest) and 1.0f (best)

### setShadingMode

    public void setShadingMode(AFPShadingMode shadingMode)

  Sets the shading mode for painting filled rectangles.

  Specified by:
    `setShadingMode` in interface `AFPCustomizable`
  Parameters:
    `shadingMode` - the shading mode

### setResolution

    public void setResolution(int resolution)

  Sets the output/device resolution

  Specified by:
    `setResolution` in interface `AFPCustomizable`
  Parameters:
    `resolution` - the output resolution (dpi)

### getResolution

    public int getResolution()

  Returns the output/device resolution.

  Specified by:
    `getResolution` in interface `AFPCustomizable`
  Returns:
    the resolution in dpi

### setDefaultResourceGroupFilePath

    public void setDefaultResourceGroupFilePath(java.lang.String filePath)

  Sets the default resource group file path

  Specified by:
    `setDefaultResourceGroupFilePath` in interface `AFPCustomizable`
  Parameters:
    `filePath` - the default resource group file path

### setResourceLevelDefaults

    public void setResourceLevelDefaults(AFPResourceLevelDefaults defaults)

  Sets the resource level defaults. The object passed in provides information which resource level shall be used by default for various kinds of resources.

  Specified by:
    `setResourceLevelDefaults` in interface `AFPCustomizable`
  Parameters:
    `defaults` - the resource level defaults

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.